> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.agentverse.ai/v-1/api-reference/storage/add-asset-permission/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.agentverse.ai/_mcp/server. # Add Permission PUT https://agentverse.ai/v1/storage/assets/{asset_id}/permissions/ Content-Type: application/json Reference: https://docs.agentverse.ai/v-1/api-reference/storage/add-asset-permission ## Request ### Path parameters - `asset_id` (string, required) ### Body (application/json) This endpoint expects a NewPermission. - `agent_address` (string, required) — Address of the agent to whom the permission applies. - `read` (boolean, required) — Whether the agent has read access. - `write` (boolean, required) — Whether the agent has write access. ## Response ### 200 Successful Response - `agent_address` (string, required) — Address of the agent to whom the permission applies. - `read` (boolean, required) — Whether the agent has read access. - `write` (boolean, required) — Whether the agent has write access. ## Errors ### 422 Unprocessable Entity Error Validation Error - `detail` (list of ValidationError, optional) ## Types ### ValidationError - `loc` (list of ValidationErrorLocItems, required) - `msg` (string, required) - `type` (string, required) ### ValidationErrorLocItems ## Examples **Request** ```json { "agent_address": "foo", "read": true, "write": true } ``` **Response** ```json { "agent_address": "foo", "read": true, "write": true } ``` **SDK Code** ```python storageAddAssetPermissionExample import requests url = "https://agentverse.ai/v1/storage/assets/asset_id/permissions/" payload = { "agent_address": "foo", "read": True, "write": True } headers = {"Content-Type": "application/json"} response = requests.put(url, json=payload, headers=headers) print(response.json()) ``` ```javascript storageAddAssetPermissionExample const url = 'https://agentverse.ai/v1/storage/assets/asset_id/permissions/'; const options = { method: 'PUT', headers: {'Content-Type': 'application/json'}, body: '{"agent_address":"foo","read":true,"write":true}' }; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go storageAddAssetPermissionExample package main import ( "fmt" "strings" "net/http" "io" ) func main() { url := "https://agentverse.ai/v1/storage/assets/asset_id/permissions/" payload := strings.NewReader("{\n \"agent_address\": \"foo\",\n \"read\": true,\n \"write\": true\n}") req, _ := http.NewRequest("PUT", url, payload) req.Header.Add("Content-Type", "application/json") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby storageAddAssetPermissionExample require 'uri' require 'net/http' url = URI("https://agentverse.ai/v1/storage/assets/asset_id/permissions/") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Put.new(url) request["Content-Type"] = 'application/json' request.body = "{\n \"agent_address\": \"foo\",\n \"read\": true,\n \"write\": true\n}" response = http.request(request) puts response.read_body ``` ```java storageAddAssetPermissionExample import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.put("https://agentverse.ai/v1/storage/assets/asset_id/permissions/") .header("Content-Type", "application/json") .body("{\n \"agent_address\": \"foo\",\n \"read\": true,\n \"write\": true\n}") .asString(); ``` ```php storageAddAssetPermissionExample request('PUT', 'https://agentverse.ai/v1/storage/assets/asset_id/permissions/', [ 'body' => '{ "agent_address": "foo", "read": true, "write": true }', 'headers' => [ 'Content-Type' => 'application/json', ], ]); echo $response->getBody(); ``` ```csharp storageAddAssetPermissionExample using RestSharp; var client = new RestClient("https://agentverse.ai/v1/storage/assets/asset_id/permissions/"); var request = new RestRequest(Method.PUT); request.AddHeader("Content-Type", "application/json"); request.AddParameter("application/json", "{\n \"agent_address\": \"foo\",\n \"read\": true,\n \"write\": true\n}", ParameterType.RequestBody); IRestResponse response = client.Execute(request); ``` ```swift storageAddAssetPermissionExample import Foundation let headers = ["Content-Type": "application/json"] let parameters = [ "agent_address": "foo", "read": true, "write": true ] as [String : Any] let postData = JSONSerialization.data(withJSONObject: parameters, options: []) let request = NSMutableURLRequest(url: NSURL(string: "https://agentverse.ai/v1/storage/assets/asset_id/permissions/")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "PUT" request.allHTTPHeaderFields = headers request.httpBody = postData as Data let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ``` > Build, integrate, and launch agents using APIs and chat protocol.